Subject: Re: Searching for sha1 id, finding a specific commit

From: Andreas Ericsson <[email-masked]>
Date: Tue, 08 Jun 2010 13:58:22 +0200

On 06/08/2010 01:50 PM, Bjarne wrote:
> I've searched a lot trying to find is there are a way to find a specific commit.
> Use case:
> I fixed a bug and want to paste a unique direct link in my bugtracker tool to
> the commit, or simple one click search in gitweb.
> 
> Since the commit name is not unique, this isn't good enough. I'm sure there is a
> way but i cant find it.
> 

git log --grep="something you wrote in the commit message"
  or
git log -S'something you wrote in the patch'

should, with some searching from within less, provide you
with the unique sha1 id which you can then use to construct
a url to gitweb.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.